Custody providers
Get All Custody Investment
Despite its name, lists the org's warrants with recipient and linked custody wallets (same query as warrant op).
GEThttps://api.toku.com/tga/get-all-custody-investment
Required scope: wallets:read
curl --request GET \
--url 'https://api.toku.com/tga/get-all-custody-investment' \
--header 'Authorization: Bearer <token>'200 response
[
{
"investmentName": "string",
"investmentID": "string",
"roleInOrgID": "string",
"personName": "string",
"linkedCustodyWallets": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
investmentNamestring | nullinvestmentIDstring | nullroleInOrgIDstring | nullpersonNamestring | nulllinkedCustodyWalletsstring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits